Subject: Re: [PATCH v5 0/1] mergetool: remove unconflicted lines

From: Felipe Contreras <[email-masked]>
Date: Thu, 24 Dec 2020 10:16:02 -0600

Junio C Hamano wrote:
> Felipe Contreras <[email-masked]> writes:
> 
> > There's not much to say other that what the commit message of the patch says.
> >
> > Note: no feedback has been ignored; I replied to all the feedback, I didn't hear anything back.
> >
> > Changes since v4:
> >
> >  * Improved commit message with suggestions from Phillip Wood.
> >
> > Felipe Contreras (1):
> >   mergetool: add automerge configuration
> 
> This breakage is possibly a fallout from either this patch or
> 1e2ae142 (t7[5-9]*: adjust the references to the default branch name
> "main", 2020-11-18).
> 
>   https://github.com/git/git/runs/1602803804#step:7:10358

It seems likely it's the mergetool patch.

This regex '/^=======\r\?$/' is supposed to handle the crlf situation.

I can't imagine what would be different in Windows regarding that
situation.

-- 
Felipe Contreras